# Get Future Order Slots Returns all the future order slots for which a guest could place an order at this location. Endpoint: GET /v2/locations/{locationId}/future-order-slots Version: v2 Security: ApiKeySecurityScheme ## Header parameters: - `x-md-api-version` (string, required) Enum: "4" - `x-bite-org-id` (string, required) The org ID you are working with. ## Path parameters: - `locationId` (string) The location ID from which delivery is being ordered. ## Query parameters: - `fulfillmentMethod` (integer, required) The user's chosen fulfillment methods for their order. Future order slots will be returned for this fulfillment method. * Web only: * 20 - In-Store Pickup * 21 - Dine In * 22 - Curbside Pickup * 23 - Outpost * 24 - Delivery * Catering only: * 30 - In-Store Pickup * 31 - Dine In * 32 - Curbside Pickup * 33 - Outpost * 34 - Delivery - `outpostId` (string) The ID of the outpost from which the guest wants to pick up the food. - `orderedItemsLeadTime` (integer) The lead time that has been calculated for the guest's order purely based on the cart contents. This value is only meant to be provided if the API rejects the order at validation time due to the chosen future order slot being in the past. In that case, the client needs to provide an expected order lead time so slots that are too early won't be shown. If provided, the API will filter out any time slots by which the order would not be ready. ## Response 200 fields (application/json): - `futureOrderSlots` (array, required) A list of both available and unavailable future order slots grouped by day. - `futureOrderSlots.calendarDay` (string, required) The specific calendar day represented as 'YYYY-MM-DD'. - `futureOrderSlots.slots` (array, required) A list of both available and unavailable future order slots for the specific calendar day. - `futureOrderSlots.slots.timestamp` (string, required) ISO date string (with timezone offset) for the future order time slot. - `futureOrderSlots.slots.available` (boolean, required) True if the future order time slot is available for ordering; false otherwise. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields